/**
 * Copyright © 2012-2023 by Data Virtuality GmbH
 */
package org.teiid.auth.openid.model;

import com.google.gson.annotations.SerializedName;

/**
 * @author Dmitry Pogorelov
 * @date 2023.06.02
 */
public class JwksKey {

	@SerializedName("kty")
	private String keyType;

	@SerializedName("alg")
	private String algorithm;

	@SerializedName("kid")
	private String keyIdentifier;

	@SerializedName("use")
	private String useKey;

	@SerializedName("e")
	private String exponent;

	@SerializedName("n")
	private String modulus;

	public String getKeyType() {
		return keyType;
	}

	public void setKeyType(String keyType) {
		this.keyType = keyType;
	}

	public String getAlgorithm() {
		return algorithm;
	}

	public void setAlgorithm(String algorithm) {
		this.algorithm = algorithm;
	}

	public String getKeyIdentifier() {
		return keyIdentifier;
	}

	public void setKeyIdentifier(String keyIdentifier) {
		this.keyIdentifier = keyIdentifier;
	}

	public String getUseKey() {
		return useKey;
	}

	public void setUseKey(String useKey) {
		this.useKey = useKey;
	}

	public String getExponent() {
		return exponent;
	}

	public void setExponent(String exponent) {
		this.exponent = exponent;
	}

	public String getModulus() {
		return modulus;
	}

	public void setModulus(String modulus) {
		this.modulus = modulus;
	}
}
